Right, to cut a long story short - I was an update idiot and lost the ability to run NTSC imports with my Wasabi DX.

Now before I get punted to the Hard Mods section, this question is relevant to soft modding now......

Thanks to the great advice in here, the Neogamma launching works a treat for the NTSC games. But what I am asking is - should the update blocker that is inbuilt within the Wasabi DX still work when launching NTSC games in this manner? Or do you think that the Neogamma will bypass any protection the Wasabi has?

Cheers